Subject: bug#19439: closed (Re: bug#19439: [PATCH] gnu: Add erlang.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Jun 2016 19:43:02 +0000

Your bug report

#19439: HTTP client rejects invalid ETag headers

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19439: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19439
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19439: [PATCH] gnu: Add erlang.
From: Andy Wingo <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked], [email-masked], [email-masked], Steve Sprang <[email-masked]>
Date: Wed, 22 Jun 2016 21:42:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Backported to 2.0 in c5dac3595f42afbd76ab9110d7473bf4d16b0520 by
Ludovic; closing bug.

On Thu 07 Jan 2016 10:56, Andy Wingo <[email-masked]> writes:

> On Wed 06 Jan 2016 17:07, [email-masked] (Ludovic Courtès) writes:
>
>> On Mon 04 Jan 2016 06:20, Steve Sprang <[email-masked]> writes:
>>
>>> From http://www.erlang.org/download/otp_src_18.2.1.tar.gz...
>>> ERROR: Bad qstring header component: kMSMAn68110840
>>
>> I think we should implement the proposed change.  Could you look
>> into it?
>
> Done on master in 6d7c09c8a9900794a855b9c69c57c3d1736506ed.  I'd
> cherry-pick back to 2.0 but I don't have a checkout on this machine;
> please feel free :)
>
> Cheers,
>
> Andy

Subject: guix download fails with "bad qstring header component"
From: rekado <[email-masked]>
To: [email-masked]
Date: Thu, 25 Dec 2014 11:54:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

In an attempt to build the OpenJDK tools with icepick, I'm getting an
error when downloading the icepick tarball:

~~~~~~~~~~~~~
$ ./pre-inst-env guix download http://icedtea.wildebeest.org/hg/icepick/archive/15425b469aea.tar.gz
starting download of `/tmp/guix-file.zrKNcT' from `http://icedtea.wildebeest.org/hg/icepick/archive/15425b469aea.tar.gz'...
ERROR: Bad qstring header component: 1200667312.0

failed to download "/tmp/guix-file.zrKNcT" from "http://icedtea.wildebeest.org/hg/icepick/archive/15425b469aea.tar.gz"
guix download: error: http://icedtea.wildebeest.org/hg/icepick/archive/15425b469aea.tar.gz: download failed
~~~~~~~~~~~~~